Page MenuHomePhabricator

Micro-task: Update a simple test suite to WebdriverIO version 5
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2020, 12:05 PM
Dinp2 added a subscriber: Dinp2.Mar 21 2020, 12:08 PM
zeljkofilipin renamed this task from Micro-task: Update a simple test suite to WebdriverIO v5 to Micro-task: Update a simple test suite to WebdriverIO version 5.Mar 21 2020, 3:21 PM

hello @zeljkofilipin I am trying to update version of WikibaseCirrusSearch but facing an error saying can't find module puppeteer-core module , but m not requiring that modulule anywhere . I also try to install this module with npm but stil same problem occurs ,pls help..

Sorry @zeljkofilipin There is version mismatch in package.json thatswhy m facing this problem,I fix this and upgraded webdriver version to 5 and comit it , Thanks

Change 584642 had a related patch set uploaded (by Zfilipin; owner: Gaura87):
[mediawiki/extensions/WikibaseCirrusSearch@master] Upgrade WebdriverIO Version 4 to 5

https://gerrit.wikimedia.org/r/584642

Change 584642 abandoned by Gaura87:
Upgrade WebdriverIO Version 4 to 5

Reason:
Comit two unused files by mistake

https://gerrit.wikimedia.org/r/584642

Change 584691 had a related patch set uploaded (by Zfilipin; owner: Gaura87):
[mediawiki/extensions/WikibaseCirrusSearch@master] Upgrade WebdriverIO version to 5

https://gerrit.wikimedia.org/r/584691

Change 584691 had a related patch set uploaded (by Zfilipin; owner: Gaura87):
[mediawiki/extensions/WikibaseCirrusSearch@master] Upgrade WebdriverIo Version 4 to Version 5

https://gerrit.wikimedia.org/r/584691

Change 585464 had a related patch set uploaded (by Zfilipin; owner: Vidhi-Mody):
[mediawiki/extensions/ContentTranslation@master] Upgraded to support WebdriverIO v5.0

https://gerrit.wikimedia.org/r/585464

Dinp2 removed a subscriber: Dinp2.Apr 3 2020, 11:08 AM
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 5:41 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added a subscriber: Vidhi-Mody.
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 5:47 PM
zeljkofilipin added a subscriber: Ashuro07.
zeljkofilipin updated the task description. (Show Details)Apr 3 2020, 5:58 PM

Change 585880 had a related patch set uploaded (by Ashuro07; owner: Ashuro07):
[mediawiki/extensions/Echo@master] Micro-task: Upgrading Echo extension's webdriverio

https://gerrit.wikimedia.org/r/585880

zeljkofilipin updated the task description. (Show Details)Apr 4 2020, 1:30 PM
zeljkofilipin updated the task description. (Show Details)

Change 584691 had a related patch set uploaded (by Gaura87; owner: Gaura87):
[mediawiki/extensions/WikibaseCirrusSearch@master] WikibaseCirrusSearch: Upgrade from webdriverio v4 to v5

https://gerrit.wikimedia.org/r/584691

Change 587493 had a related patch set uploaded (by Ashuro07; owner: Ashuro07):
[mediawiki/extensions/Echo@master] Upgrade tests to webdriverio 5

https://gerrit.wikimedia.org/r/587493

Change 587493 abandoned by Ashuro07:
Upgrade tests to webdriverio 5

https://gerrit.wikimedia.org/r/587493

Change 588137 had a related patch set uploaded (by Ashuro07; owner: Ashuro07):
[mediawiki/extensions/AbuseFilter@master] Upgrade tests to webdriverio 5

https://gerrit.wikimedia.org/r/588137

Change 588141 had a related patch set uploaded (by Ashuro07; owner: Ashuro07):
[mediawiki/extensions/Newsletter@master] Upgrade tests to webdriverio 5

https://gerrit.wikimedia.org/r/588141

Change 588941 had a related patch set uploaded (by Ashuro07; owner: Ashuro07):
[mediawiki/extensions/WikibaseMediaInfo@master] Upgrade tests to webdriverio 5

https://gerrit.wikimedia.org/r/588941

Change 589587 had a related patch set uploaded (by Ashuro07; owner: Ashuro07):
[mediawiki/extensions/Popups@master] Upgrade tests to webdriverio 5

https://gerrit.wikimedia.org/r/589587

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)

Change 589850 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/Math@master] Upgraded WebdriverIO from v4 to v5

https://gerrit.wikimedia.org/r/589850

Change 589896 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/Newsletter@master] Upgraded WebdriverIO from v4 to v5

https://gerrit.wikimedia.org/r/589896

Change 589837 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/AbuseFilter@master] Upgraded WebdriverIO from v4 to v5

https://gerrit.wikimedia.org/r/589837

Change 590215 had a related patch set uploaded (by Ashuro07; owner: Ashuro07):
[mediawiki/extensions/FileImporter@master] Upgrade tests to WebdriverIO v-5

https://gerrit.wikimedia.org/r/590215

Change 590258 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/FileImporter@master] Upgraded WebdriverIO from v4 to v5

https://gerrit.wikimedia.org/r/590258

Change 590259 had a related patch set uploaded (by Ashuro07; owner: Ashuro07):
[mediawiki/extensions/ORES@master] Upgrade tests to WebdriverIO v-5

https://gerrit.wikimedia.org/r/590259

Change 590452 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/WikibaseCirrusSearch@master] Upgraded WebdriverIO from v4 to v5

https://gerrit.wikimedia.org/r/590452

Change 590557 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/RelatedArticles@master] Upgraded WebdriverIO from v4 to v5

https://gerrit.wikimedia.org/r/590557

Change 591060 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/TemplateWizard@master] Upgraded WebdriverIO from v4 to v5

https://gerrit.wikimedia.org/r/591060

Change 590215 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Upgrade tests to WebdriverIO v-5

https://gerrit.wikimedia.org/r/590215

Change 585880 abandoned by Ashuro07:
Upgrade tests to WebdriverIO v-5

https://gerrit.wikimedia.org/r/585880

Change 590259 abandoned by Ashuro07:
Upgrade tests to WebdriverIO v-5

https://gerrit.wikimedia.org/r/590259

Change 589587 abandoned by Ashuro07:
Upgrade tests to WebdriverIO v-5

https://gerrit.wikimedia.org/r/589587

Change 588941 abandoned by Ashuro07:
Upgrade tests to WebdriverIO v-5

https://gerrit.wikimedia.org/r/588941

Change 588141 abandoned by Ashuro07:
Upgrade tests to WebdriverIO v-5

https://gerrit.wikimedia.org/r/588141

Change 588137 abandoned by Ashuro07:
Upgrade tests to WebdriverIO v-5

https://gerrit.wikimedia.org/r/588137

Change 584691 abandoned by Zfilipin:
Upgrade WebdriverIO version to v5

Reason:
GSoC application period is finished. Let's continue collaborating on https://gerrit.wikimedia.org/r/c/mediawiki/extensions/WikibaseCirrusSearch/ /590452

https://gerrit.wikimedia.org/r/584691

Change 589837 abandoned by Vidhi-Mody:
Upgraded WebdriverIO from v4 to v5

Reason:
Implemented in https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/AbuseFilter/ /597599/

https://gerrit.wikimedia.org/r/589837

Change 589896 abandoned by Vidhi-Mody:
Upgraded WebdriverIO from v4 to v5

Reason:
Implemented in https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Newsletter/ /597607/

https://gerrit.wikimedia.org/r/589896

Change 590258 abandoned by Zfilipin:
Upgraded WebdriverIO from v4 to v5

Reason:
Already merged in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/FileImporter/ /590215

https://gerrit.wikimedia.org/r/590258

zeljkofilipin closed this task as Resolved.Fri, May 22, 12:42 PM
zeljkofilipin claimed this task.